<?php 

	$filter_html = new Yab_Filter_Html();
	$nbLigne = count($relations);
 	$compteur = 0;
	
  $references = $list_reference_type ;
  $liste = array() ;
  $types = array() ;
  
function afficherOrdre($total, $nbLigne) {
 		for ($i=1; $i<=$total;$i++) {
 			if ($i==$nbLigne)
 				echo "<option selected>$i</option>";
 			else
 				echo "<option>$i</option>";
 		}
 	}
  
     	if($this->getSession()->has('flash_status')){
?>
    <div>
      <div class="alert alert-dismissable alert-<?php echo $this->getSession()->flash('flash_status'); ?>">
        <!-- Nota :  flash_status = warning | danger | success | info -->
        <button type="button" class="close" data-dismiss="alert">X</button>
        <h4><?php echo $this->getSession()->flash('flash_title', 'Html'); ?></h4>
        <?php echo $this->getSession()->flash('flash_message', 'Html'); ?>
      </div>
    </div>
<?php } ?>

<!-- Début partie création -->

<div id="div_creation_ref">
	<table id="table_creation_ref" class="categorie_table_ref">
		<tr class="table_head gestion_bordures">
 			<th class="txt-position" colspan="5">Création d'une relation</th>
 		</tr>
		<tr class="white gestion_bordures">
			<th class="ref_gestion_taille_affichage th_center">Cat&eacute;gorie</th>
			<th class="ref_gestion_taille_affichage th_center">R&eacute;f&eacute;rence</th>
			<th class="ref_gestion_taille_affichage th_center">Type de relation</th>
			<th class="ref_gestion_taille_affichage th_center">Visible</th>
			<th class="ref_gestion_taille_affichage th_center"></th>
		</tr>
		<tr class="gestion_tr_color_ref gestion_bordures">
			<td class="ref_gestion_taille_affichage th_center">
  				<select id="selectReference" class="color select_style" onChange="ajoutRelation('ajaxRelier', 'changerReference', '<?php echo $element_b ; ?>');">
            <option value=""> -- Choisir une cat&eacute;gorie</option>
  					<?php
              /*
              $nb_reference = $references->count() ;
              
              if ($nb_reference > 1 ) {
                echo '<option value=""> -- Choisir une cat&eacute;gorie</option>';  
              } 
              */
              foreach ($references as $reference) {
  							if ($reference['reference'] == $categorie_a_key) {
                  $liste = $list_reference_type[$categorie_a_key]['element_a_list_potentiel'] ;
                  $types = $list_reference_type[$categorie_a_key]['type_relation'] ;
                   
                  $sel = "selected='selected'" ;
                } else {
                  $sel = "" ;
                }
                echo "<option $sel value='".$reference["reference"]."'>".$reference["nom"]."</option>";
					    } 
  						
  					?>
  				</select>
			</td>
			<td class="ref_gestion_taille_affichage th_center">
  				<select id="selectListe" class="color select_style">
  					<?php
              if(!empty($liste)  ){
                foreach ($liste as $v)
  							echo "<option value='". $v["id"] . "'>" . $v["categorie_value"] . "</option>" ;
              } else {
                echo '<option value="" placeholder="relation" readonly></option>' ;              
              }  
  						
  					?>
  				</select>
			</td>
			<td class="ref_gestion_taille_affichage th_center">
  				<select id="selectType" class="color select_style" style="width:inherit;">            
  					<?php
              if (!empty($types) ) {
                foreach ($types as $type)
  							 echo '<option value="'. $type['type_relation'] . '">'. $type['type_relation_value'] . '</option>' ;
                
              } else {
                 echo '<option value="" placeholder="relation" readonly="readonly" > .    .</option>' ; 
              } 
  						
  					?>
  				</select>
			</td>
			<td class="ref_gestion_taille_affichage th_center">
				<input type='checkbox' id="visibleR" checked='checked' />
			</td>
			<td class="ref_gestion_taille_affichage th_center"></td>
		</tr>
		<tr class="gestion_tr_color_ref gestion_bordures">
			<td class="ref_gestion_taille_affichage th_center" colspan="4">
				<textarea id="descriptionR" class="color textarea_us" style="width:100%;heigght:100px;" placeholder="Description"></textarea>
			</td>
			<td class="ref_gestion_taille_affichage th_center">
				<span id="btnAjouter" class="glyphicon glyphicon-plus-sign" style="font-size: 32px;" alt="Ajouter" title="Ajouter" onclick="ajoutRelation('ajaxRelier', 'ajouter', '<?php echo $element_b ?>');"></span>
			</td>
		</tr>
	</table>
</div>

<!-- Fin partie création -->

<!-- Début partie modification -->
<br/><br/>
	<div id="div_modification_ref">
		<table id="table_modification_ref" class="categorie_table_ref">
      <caption class="table_head gestion_bordures txt-position">Liste des relations</caption>
      <!--
			<tr class="table_head gestion_bordures">
	 			<th class="txt-position" colspan="6">Liste des relations</th>
	 		</tr>
      -->
			<tr class="white gestion_bordures">
				<th class="ref_gestion_taille_affichage th_center">Relation</th>
				<th class="ref_gestion_taille_affichage th_center">Type de relation</th>
				<th class="ref_gestion_taille_affichage th_center">Visible</th>
				<th class="ref_gestion_taille_affichage th_center">Ordre</th>
				<th class="ref_gestion_taille_affichage th_center">Description</th>
				<th class="ref_gestion_taille_affichage th_center"></th>
			</tr>
			<?php foreach($relations as $relation) {
      
        $relation_id = $relation->get("id") ; 
				$compteur++ ;
 			?>
			<tr class="gestion_tr_color_ref gestion_bordures">
				<td class="ref_gestion_taille_affichage th_center">
					<input type="hidden" id="relation_id_<?php echo $relation->get("element_a") ; ?>" value="<?php echo $relation_id ; ?>" />
          <span><?php echo $relation->get("element_a_value", $filter_html) ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
          <span><?php echo $relation->get("type_relation_value", $filter_html) ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<?php
						if ($relation->get("visible") == 1)
							echo "<input type='checkbox' checked='checked' id='visibleR_" . $relation->get("element_a") . "' onClick=\"ajoutRelation('ajaxRelier', 'updateVisible', '".$element_b."', '" . $relation->get("element_a") . "','".$relation_id."');\" />" ;
						else
							echo "<input type='checkbox' id='visibleR_" . $relation->get("element_a") . "' onClick=\"ajoutRelation('ajaxRelier', 'updateVisible', '$element_b', '" . $relation->get("element_a") . "','".$relation_id."');\" />" ;
					?>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<input type="hidden" id="ordreRA_<?php echo $relation->get("element_a") ; ?>" value="<?php echo $compteur ; ?>" />
					<select class="color select_style" style="width:50px;" id="ordreRN_<?php echo $relation->get("element_a") ; ?>" name="ordre[]" onChange="ajoutRelation('ajaxRelier', 'updateOrdre', '<?php echo $element_b ; ?>', '<?php echo $relation->get("element_a") ; ?>', '<?php echo $relation_id ; ?>');">
						<?php
 							afficherOrdre($nbLigne, $compteur);
						?>
 					</select>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<span style="font-size: 18px; cursor:pointer;" id="btn_description_<?php echo $relation->get("element_a") ; ?>" class="glyphicon glyphicon-plus-sign" value="" onclick="afficherDescription('<?php echo $relation->get("element_a") ; ?>');" title="D&eacute;tail description" ></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<span id="btn_supprimer" value="" class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" alt="Supprimer" onclick="ajoutRelation('ajaxRelier', 'supprimer', '<?php echo $element_b ; ?>', '<?php echo $relation->get("element_a") ; ?>', '<?php echo $relation_id ; ?>');" title="Supprimer cette relation"></span>
				</td>
			</tr>
			<tr class="gestion_tr_color_ref gestion_bordures" id="tr_<?php echo $relation->get("element_a") ; ?>" style="display:none;">
			<th class="ref_gestion_taille_affichage th_center">Description : </th>
				<td class="ref_gestion_taille_affichage th_center" colspan="5">
					<textarea id="description_<?php echo $relation->get("element_a"); ?>" class="color textarea_us" style="width:100%;heigght:100px;" onChange="ajoutRelation('ajaxRelier', 'updateDescription', '<?php echo $element_b ; ?>', '<?php echo $relation->get("element_a") ; ?>', '<?php echo $relation_id ; ?>') ;"><?php echo $relation->get("description", $filter_html) ; ?></textarea>
				</td>
			</tr>
			<?php } ?>
		</table>
	</div>

<!-- Fin partie modification -->
<?php 
/*
  print '<pre>' ;
  print_r($list_reference_type);
  print '</pre>' ; 
*/
?>